------------------------------------------------------------------------------------
--Name：          191230[简体征服][活动脚本]全球情人节活动
--Creator:      杨艳
--Created:     2020/01/06
--------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>8


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(54, 54)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- local nRandomNpc = CppScriptMgr:AddSimplePlayer(8496, 51,43, "悬赏特使", 4003000050,1)
local player2 = CppScriptMgr:AddSimplePlayer(20700, 52,44, "Taoist Taiyi", 4003000050,1)
local player3 = CppScriptMgr:AddSimplePlayer(16450, 43,44, "Taoist Lingbao", 4003000051,1)
local player4 = CppScriptMgr:AddSimplePlayer(8450, 61,44, "Taoist Qinghua", 4003000052,1)

local player5 = CppScriptMgr:AddSimplePlayer(1054696, 46,54, "Sash Merchant", 4003000053,1)
local player6 = CppScriptMgr:AddSimplePlayer(1054476, 48,61, "Bonnie", 4003000054,1)
local player7 = CppScriptMgr:AddSimplePlayer(1054662, 63,56, "Craftsman", 4003000055,1)
local player8 = CppScriptMgr:AddSimplePlayer(1054652, 63,61, "Carpenter Jack", 4003000056,1)
local player9 = CppScriptMgr:AddSimplePlayer(1054593, 59,64, "Susu", 4003000057,1)

CppScriptMgr:AddEffect("zf2-e183",54,55);
CppScriptMgr:WaitMilSec(1500)

-- 镜头一
local player  = CppScriptMgr:AddSimplePlayer(1051296, 53,56, "Valentine", 4003000031,1)
local player1 = CppScriptMgr:AddSimplePlayer(1051302, 55,56, "Silvia", 4003000032,1)

-- 黑屏, CppScriptMgr:SetDarkScreen(毫秒)
CppScriptMgr:SetDarkScreen(2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("newcity2_agr2",54,55);
CppScriptMgr:AddEffect("newcity2_agr1",54,55);

player:Say("Do you know why it is call Cloud City?", 2000)
CppScriptMgr:WaitMilSec(2000)

player1:Say("Isn`t it because of the clouds?", 2000)
CppScriptMgr:WaitMilSec(2000)

player:SetAction(150)
CppScriptMgr:WaitMilSec(2000)

player:Say("No, because it`s hard to see clouds here.", 2000)
CppScriptMgr:WaitMilSec(2000)

player1:Say("What a pity. Clouds are cute.", 2000)
CppScriptMgr:WaitMilSec(2000)

player:Say("Wait here. I`ll find a cloud for you.", 2000)
CppScriptMgr:WaitMilSec(1500)

player:SetLook(51290)
player1:SetLook(51300)
player:RunTo(53, 81)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetViewPosByCell(55, 71)
CppScriptMgr:WaitMilSec(3000)

CppScriptMgr:NpcCallOut("There are many cotton trees here. I can pick some cottons to make a cloud.\n\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc25846", 150, 430, "Valentine", 250, 655)
CppScriptMgr:WaitMilSec(3000)

player:SetLook(51294)
player:RunTo(55, 58)
CppScriptMgr:WaitMilSec(4000)
CppScriptMgr:SetViewPosByCell(54, 54)
CppScriptMgr:WaitMilSec(1000)



player:Say("I made you a cloud.", 2000)
CppScriptMgr:WaitMilSec(2000)

player1:AddEffect("heal2")
CppScriptMgr:WaitMilSec(1000)
player1:Say("This is the cutest cloud I`ve ever seen!", 2000)
CppScriptMgr:WaitMilSec(2000)

player:Say("I need you as the blue sky needs clouds.", 2000)
player1:AddEffect("gam_cuddle_ap")
CppScriptMgr:WaitMilSec(3000)

-- local player5 = CppScriptMgr:AddSimplePlayer(1054696, 46,54, "Sash Merchant", 4003000053,1)
-- local player6 = CppScriptMgr:AddSimplePlayer(1054676, 48,61, "Bonnie", 4003000054,1)
-- local player7 = CppScriptMgr:AddSimplePlayer(1054662, 63,56, "Craftsman", 4003000055,1)
-- local player8 = CppScriptMgr:AddSimplePlayer(1054652, 63,61, "Carpenter Jack", 4003000056,1)
-- local player9 = CppScriptMgr:AddSimplePlayer(1054593, 59,64, "Susu", 4003000057,1)


player6:Say("So romantic! No one makes a cloud for me!", 2000)
CppScriptMgr:WaitMilSec(2000)

player9:Say("Why aren`t you romantic?", 2000)
CppScriptMgr:WaitMilSec(2000)

player8:Say("I can make you one, too!", 2000)
CppScriptMgr:WaitMilSec(2000)

CppScriptMgr:AddEffect("FF17",50,58);
CppScriptMgr:AddEffect("FF17",54,60);
CppScriptMgr:AddEffect("FF17",52,52);

player7:Say("The cloud is made of cottons! So interesting!", 2000)
CppScriptMgr:WaitMilSec(2000)
player5:Say("There are many fireworks around. Who put them here?", 2000)
CppScriptMgr:WaitMilSec(4000)


-- player:SetLook(51294)
-- player1:SetLook(51294)

-- player:RunTo(95, 95)
-- player1:RunTo(95, 95)
-- CppScriptMgr:WaitMilSec(2000)
-- player:SetAction(201)
-- player1:SetAction(201)

-- CppScriptMgr:AddEffect("ReturnSyndicateFireWorks",95,95);
-- CppScriptMgr:WaitMilSec(3000)

-- player1:Say("Everything is so beautiful in the moonlight.", 2000)
-- CppScriptMgr:WaitMilSec(1000)

-- CppScriptMgr:AddEffect("scene_app",95,95);
-- CppScriptMgr:WaitMilSec(3000)

-- player:Say("You are the most beautiful.", 2000)
-- CppScriptMgr:WaitMilSec(1000)

-- CppScriptMgr:AddEffect("veil",95,95);
-- CppScriptMgr:WaitMilSec(3000)

-- player1:Say("There is a blurry figure in my mind.", 2000)
-- CppScriptMgr:WaitMilSec(2000)
-- player:Say("Do you remember me?", 2000)
-- CppScriptMgr:WaitMilSec(2000)

-- player1:Say("It`s too blurry. I don`t know if it`s you.", 2000)
-- CppScriptMgr:WaitMilSec(2000)
-- player:Say("Take your time. Here are your favorite fireworks. Set them off.", 2000)
-- CppScriptMgr:WaitMilSec(2000)

-- CppScriptMgr:AddEffect("FF07",95,95);
-- CppScriptMgr:WaitMilSec(3000)


-- ------------------------------------------------------------------------------------
-- --Name:			190910[简体征服][任务脚本]职业副本剧情脚本
-- --Creator:		兰瑞妹
-- --Created:		2019/09/12
-- ------------------------------------------------------------------------------------
-- -- /callluafunc </F>User_PlayPlot</N>11

-- -- 武僧
-- -- 表现内容：
-- -- 武僧boss穿着武僧神装，扛着史诗武器金刚伏魔杵，身上散发着佛光，向你作揖，
-- -- 口中念着“阿弥陀佛”。无数经文光效在空中飞舞，突然，武僧使用金刚伏魔杵向大地狠狠砸去。顿时地动山摇。
-- -- 光效需求：武僧身上的祥光、
 -- -- 经文在空中飞舞

-- -- 设置摄像机指向位置(网格坐标)
-- CppScriptMgr:SetViewPosByCell(363, 445)
-- ------------------------------------------------------------
-- --玩家对象操作接口,Hero、Player、Npc接口都一样
-- -- 查询/创建，玩家自己
-- -- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetPos(363, 445)
-- -- 设置玩家方向，[0, 7]-八方向
-- hero:SetDir(4)

-- -- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player  = CppScriptMgr:AddSimplePlayer(1051350, 371, 445, "【圣僧】一灯大师", 4003000020,1)--51350
-- -- 设置人物显示大小百分比
-- player:SetZoomPercent(150)
-- player:SetRWeapon(481439, 0, 1)
-- player:SetLook(50490)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 人物动作调用接口 作揖
-- player:SetAction(150)
-- CppScriptMgr:WaitMilSec(2000)

-- -- 半身像对话框
-- player:Say("阿弥陀佛", 3000)
-- CppScriptMgr:WaitMilSec(1000)

-- -- 金刚伏魔杵向大地狠狠砸去
-- player:SetAction(401)
-- CppScriptMgr:WaitMilSec(4000)

-- -- 地动山摇
-- -- 创建普通光效接口：参数：光效名，坐标X，坐标Y
-- -- local effectObj = CppScriptMgr:AddEffect("ssch_wlhd_hit", 211, 234);
-- -- CppScriptMgr:WaitMilSec(2000)

